package parkomat.model;

import java.time.Month;
import java.util.Arrays;

public enum ItMonth { 
	Gennaio, Febbraio, Marzo, Aprile, Maggio, Giugno, Luglio, Agosto, Settembre, Ottobre, Novembre, Dicembre;
	
	public static Month toMonth(String s) {
		return Month.of(1+Arrays.asList(ItMonth.values()).indexOf(ItMonth.valueOf(s.trim())));
	}

	public static ItMonth toItMonth(Month m) {
		return ItMonth.values()[m.getValue()-1];
	}
}
