package parkomat.tests.model;

import static org.junit.Assert.*;

import java.time.DayOfWeek;

import org.junit.Test;

import parkomat.model.ItDayOfWeek;

public class ItDayOfWeekTest {

	@Test
	public void testFromItDayToDay() {
		assertEquals(DayOfWeek.MONDAY, ItDayOfWeek.toDayOfWeek(ItDayOfWeek.Lunedì.toString()));
		assertEquals(DayOfWeek.TUESDAY, ItDayOfWeek.toDayOfWeek(ItDayOfWeek.Martedì.toString()));
		assertEquals(DayOfWeek.WEDNESDAY, ItDayOfWeek.toDayOfWeek(ItDayOfWeek.Mercoledì.toString()));
		assertEquals(DayOfWeek.THURSDAY, ItDayOfWeek.toDayOfWeek(ItDayOfWeek.Giovedì.toString()));
		assertEquals(DayOfWeek.FRIDAY, ItDayOfWeek.toDayOfWeek(ItDayOfWeek.Venerdì.toString()));
		assertEquals(DayOfWeek.SATURDAY, ItDayOfWeek.toDayOfWeek(ItDayOfWeek.Sabato.toString()));
		assertEquals(DayOfWeek.SUNDAY, ItDayOfWeek.toDayOfWeek(ItDayOfWeek.Domenica.toString()));
	}

	@Test
	public void testFromDayToItDay() {
		assertEquals(ItDayOfWeek.Lunedì,  ItDayOfWeek.toItDayOfWeek(DayOfWeek.MONDAY));
		assertEquals(ItDayOfWeek.Domenica, ItDayOfWeek.toItDayOfWeek(DayOfWeek.SUNDAY));
	}
	
}
