package parkomat.model;

import java.time.DayOfWeek;
import java.util.Arrays;

public enum ItDayOfWeek { 
	Lunedì, Martedì, Mercoledì, Giovedì, Venerdì, Sabato, Domenica;
	
	public static DayOfWeek toDayOfWeek(String s) {
		return DayOfWeek.of(1+Arrays.asList(ItDayOfWeek.values()).indexOf(ItDayOfWeek.valueOf(s.trim())));
	}

	public static ItDayOfWeek toItDayOfWeek(DayOfWeek d) {
		return ItDayOfWeek.values()[d.getValue()-1];
	}

}